Subject: RE: [Sip] Refer Final Response

From: "Reshmi Nair" <[email-masked]>
Date: Fri, 30 Aug 2002 14:40:09 +0530

Hi,

Does that mean that :
" A 200 response indicates that the subscription has been accepted and
that the user is authorized to subscribe to the requested resource.  A 202
response merely indicates that the subscription has been understood, and
that authorization may or may not have been granted. "

- as in the Sip Event RFC is not true for Refer ??

Reshmi

-----Original Message-----
From: Ranjit Avasarala [mailto:[email-masked]]
Sent: Friday, August 30, 2002 2:36 PM
To: Reshmi Nair; [email-masked]
Subject: Re: [Sip] Refer Final Response

Hi reshmi

   In case of call transfer, first u send 202 Accepted for REFER and u send
a NOTIFY confirming that REFER was successful.

Ranjit
----- Original Message -----
From: Reshmi Nair <[email-masked]>
To: <[email-masked]>
Sent: Friday, August 30, 2002 1:24 PM
Subject: [Sip] Refer Final Response

> Hi,
>
> Quoting from RFC 3265 - SIP - Specific Event Notification, section
3.1.4.1 :
>
> " A 200 response indicates that the subscription has been accepted and
that the user is authorized to subscribe to the requested resource.  A 202
response merely indicates that the subscription has been understood, and
that authorization may or may not have been granted. "
>
> Is this true for a refer subscription too ? Are we expected to send a 200
OK for Refer, if authorization is successful before the transaction times
out ?
> All the call flows for refer only show a "202 Accepted" being sent as a
response to refer. That makes me wonder.
>
> Please let me know.
>
> Regards,
> Reshmi
>
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Fri, 30 Aug 2002 15:19:56 +0530 (IST)

If subscription is accepted u get a NOTIFY indicating the subscription-
state as "active" and duration of subscription in Expires: header.

Ranjit

> that the user is authorized to subscribe to the requested resource.  A
> 202 response merely indicates that the subscription has been
> understood, and that authorization may or may not have been granted. "
> 
> that the user is authorized to subscribe to the requested resource.  A
> 202 response merely indicates that the subscription has been
> understood, and that authorization may or may not have been granted. "
>>
> OK for Refer, if authorization is successful before the transaction
> times out ?
>> Use [email-masked] for questions on current sip Use
>> [email-masked] for new developments on the application of sip

---

From: Robert Sparks <[email-masked]>
Date: 30 Aug 2002 10:06:23 -0500

The response to the REFER is a statement about whether the UA is going
to honor the REFER request or not. If you have knowledge that you will,
in fact, attempt to contact the referenced resource before the REFER
transaction expires, you can and should return a 200. If you are going
to have to wait for a human or some other relatively slow authority to
tell you whether or not its ok to try, you return a 202. 

A failed response tells you an implicit subscription won't be created.
A success response tells you nothing about the implicit subscription 
however. That information is all contained in the initial NOTIFY.

RjS